it-swarm.com.ru

PHP Устаревший: WP_RSSjb имеет устаревший конструктор

Я получаю сообщения в debug.log для PHP Не рекомендуется: Методы с тем же именем, что и их класс, не будут конструкторами в будущей версии PHP; WP_RSSjb имеет устаревший конструктор в /home/dccomp/competitions.com/wp-content/plugins/rss-just-better/RSS-just-better.php в строке 57.

Как я могу изменить это? Линия

class WP_RSSjb extends WP_Widget {

/**
 * Widget setup.
 */
function WP_RSSjb() {
 /* Widget settings. */
$widget_ops = array( 'classname' => 'rssjustbetter', 'description' => __('A customizable list of feed items given: URL and number of displayable items. Also available as shortcode. Compatible with RSS vers. 0.91, 0.92 and 2.0 & Atom 1.0.', 'RSSjb') );

/* Widget control settings. */
    $control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'rss-just-better' );

/* Create the widget. */
    parent::__construct( 'rss-just-better', __('RSS Just Better', 'RSSjb'), $widget_ops, $control_ops );
}

Спасибо за вашу помощь.

1
Cynthia A Lockley

Измените function WP_RSSjb() { на function __construct() {. Смотрите PHP: Конструкторы и деструкторы .

3
Nathan Johnson